/*
 * trayopen.c: A plugin for the Video Disk Recorder
 *
 * See the README file for copyright information and how to reach the author.
 *
 */

#include <getopt.h>
#include <stdlib.h>
#include <vdr/interface.h>
#include <vdr/plugin.h>
#include "i18n.h"

static const char *VERSION 	 = "0.0.1";
static const char *DESCRIPTION   = "Open/Close CD/DVD-Rom";
static const char *MAINMENUENTRY = "Trayopen";


class cPluginTrayopen : public cPlugin {
public:
  cPluginTrayopen(void);
  virtual const char *Version(void) {return VERSION; }
  virtual const char *Description(void) { return tr(DESCRIPTION); }
  virtual ~cPluginTrayopen();
  virtual bool Start(void);
  virtual void Housekeeping(void);
  virtual const char *MainMenuEntry(void) { return tr(MAINMENUENTRY); }
  virtual cOsdObject *MainMenuAction(void);
  int isOpen;
  };



// --- cPluginTrayopen ----------------------------------------------------------

cPluginTrayopen::cPluginTrayopen(void)
{
  // Initialize any member variables here.
  // DON'T DO ANYTHING ELSE THAT MAY HAVE SIDE EFFECTS, REQUIRE GLOBAL
  // VDR OBJECTS TO EXIST OR PRODUCE ANY OUTPUT!
}

cPluginTrayopen::~cPluginTrayopen()
{
  // Clean up after yourself!
}

bool cPluginTrayopen::Start(void)
{
  // Start any background activities the plugin shall perform.
  RegisterI18n(Phrases);
  return true;
}


//void cMenuSetupTrayopen::store(void)
//{
//    strcpy(device,new_device);
//    SetupStore("Device",new_device);
//}    


void cPluginTrayopen::Housekeeping(void)
{
  // Perform any cleanup or other regular tasks.
}

cOsdObject *cPluginTrayopen::MainMenuAction(void)
{
  // Perform the action when selected from the main VDR menu.
FILE *file;
char *buffer;

 if (isOpen == true)
{
	asprintf(&buffer, "eject -t");
	isOpen = false;
}
else
{
	asprintf(&buffer, "eject");
	isOpen = true;
}
	file = popen(buffer, "r");
	free(buffer);
	pclose(file);
	
  return NULL;
}

        
VDRPLUGINCREATOR(cPluginTrayopen); // Don't touch this!
